RK-J - Feature #1595
Task # 2850 (Closed): Enable deployment by all

Separate the files for different environments deployment.

09/02/2021 06:39 AM - Ayush Khandelwal

Status: Closed Start date: 01/14/2022
Priority: Normal Due date: 02/03/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 31.50 hours
Description

Subtasks:

Feature # 2650: Support for BE environment separation.
Task # 2028: Update all the files related to default service.

Feature # 2651: Support for FE environment separation.

Task # 1596: Investigate how to build the rapidken-frontend through maven.

Task # 2147: Support for different build environment like dev, ga and prod deployment i...

Task # 2842: Support for index.html for all the different environment.

Task # 2843: Support for app-website.yaml for all the different environment.

Task # 2844: Support for server.ts for all the different environments.

Task # 2845: Support for app-admin.yaml for all the different environment.
Task # 2846: Support for app.module.ts for all the different environment.
Task # 2847: Support for internal files for all the different environment.

Task # 2848: Support for local build.

Task # 2849: Investigate on how to send parameter through 'npm command' and accept it i...

Task # 2856: Support for 'ng serve' command.
Task # 2857: Write Documentation.
History

#1 - 02/01/2023 05:16 AM - Ram Kordale
- Parent task set to #2850

#2 - 03/24/2023 12:39 PM - Ayush Khandelwal

- Status changed from New to Resolved

#3 - 03/24/2023 12:44 PM - Ayush Khandelwal

- Status changed from Resolved to Closed

Working as expected.
